package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * @description:
 * @author: nh
 * @create: 2021-01-22 16:06
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="WorkCentre", description="中心实体类")
public class WorkCentre implements Serializable {

    private static final long serialVersionUID = 5645379064487638244L;

    @ApiModelProperty(name = "id",value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(name = "centreName",value = "中心名称")
    private String centreName;

    @ApiModelProperty(name = "centreManagerId", value = "中心管理员主键")
    private Integer centreManagerId;

    @ApiModelProperty(name = "createTime",value = "创建时间")
    private Date createTime;

    @ApiModelProperty(name = "modifyTime",value = "修改时间")
    private Date modifyTime;


}
